module.exports =
  root: true,
  parserOptions: {
    parser: 'babel-eslint'
  },
  env: {
    browser: true,
    node: true,
    mocha: true
  },
  globals: {
    "expect": true,
    "jQuery": false
  },
  extends: [
    './web/core/.eslintrc.json',
    'plugin:vue/recommended',
    'plugin:vue-a11y/base',
    'standard'
  ],
  plugins: [
    'vue',
    'vue-a11y'
  ],
  rules: {
    'generator-star-spacing': 'off',
    'no-debugger': process.env.NODE_ENV === 'production' ? 'error' : 'off'
  }
}
